{ environment ? "prod"
, varDir ? "/var/lib/chloe_${environment}"
, spip, stdenv, mylibs, sassc }:
let
  siteDir = stdenv.mkDerivation (mylibs.fetchedGitPrivate ./chloe.json // rec {
    buildPhase = ''
      make
      '';
    installPhase = ''
      cp -a . $out
      '';
    buildInputs = [ sassc ];
  });
in
spip.override {
  ldap = true;
  siteName = "chloe";
  inherit environment siteDir varDir;
}
